Last Comment Bug 742151 - WebIDL parser's error reporting seems to not be very good with line numbers
: WebIDL parser's error reporting seems to not be very good with line numbers
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: ParisBindings
  Show dependency treegraph
 
Reported: 2012-04-03 19:44 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2012-06-05 06:23 PDT (History)
3 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Failing test (1.17 KB, patch)
2012-04-23 22:15 PDT, Justin Lebar (not reading bugmail)
no flags Details | Diff | Splinter Review
Fix the error reporting in the WebIDL parser to list correct line numbers. are two changes here. One is to pass tracking=True to our parser. This makes it properly track positions (3.98 KB, patch)
2012-06-01 13:31 PDT, Boris Zbarsky [:bz] (still a bit busy)
khuey: review+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] (still a bit busy) 2012-04-03 19:44:49 PDT
I was getting error reports at "line 1:4" for a wide variety of actual error locations today...
Comment 1 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-04-23 13:19:02 PDT
I think this is fixed now.
Comment 2 Justin Lebar (not reading bugmail) 2012-04-23 22:15:43 PDT
Created attachment 617789 [details] [diff] [review]
Failing test

Doesn't seem to work for me.
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2012-06-01 13:31:41 PDT
Created attachment 629320 [details] [diff] [review]
Fix the error reporting in the WebIDL parser to list correct line numbers.   are two changes here.  One is to pass tracking=True to our parser.  This makes it properly track positions
Comment 4 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-06-03 17:20:05 PDT
Comment on attachment 629320 [details] [diff] [review]
Fix the error reporting in the WebIDL parser to list correct line numbers.   are two changes here.  One is to pass tracking=True to our parser.  This makes it properly track positions

Review of attachment 629320 [details] [diff] [review]:
-----------------------------------------------------------------

Nice.
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2012-06-04 18:38:38 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/db893d2f7d04
Comment 6 Geoff Lankow (:darktrojan) 2012-06-05 06:23:24 PDT
https://hg.mozilla.org/mozilla-central/rev/db893d2f7d04

Note You need to log in before you can comment on or make changes to this bug.